Name:             rmic-maven-plugin
Version:          1.2.1
Release:          %mkrel 17
Group:            Development/Java
Summary:          Uses the java rmic compiler to generate classes used in remote method invocation
License:          MIT
URL:              http://mojo.codehaus.org/%{name}
BuildArch:        noarch

Source0:          http://repo2.maven.org/maven2/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:           pom-compiler-source-target.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-model:2.0.6)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

%description
This plugin works with Maven 2 and uses the java rmic compiler to generate
classes used in remote method invocation.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
sed -i -e "s|groupId>plexus|groupId>org.codehaus.plexus|g" pom.xml

%patch0 -p0

%pom_add_dep "junit:junit::test"

%build
# Unit tests pass, but for some reason the integrations fail in mock
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc License.txt

%files javadoc -f .mfiles-javadoc
%doc License.txt




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.2.1-17.mga8
+ Revision: 1499534
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2.1-16.mga7
+ Revision: 1274886
- Mageia 7 Mass Rebuild

* Sat May 20 2017 neoclust <neoclust> 1.2.1-15.mga6
+ Revision: 1103664
- Fix BuildRequires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.2.1-13.mga6
+ Revision: 978137
- First rebuild of the java stack
- sync package rmic-maven-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 743467
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 541735
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.2.1-2.mga4
+ Revision: 487402
- Build with xmvn

* Thu Jul 11 2013 dmorgan <dmorgan> 1.2.1-1.mga4
+ Revision: 452981
- New version

* Tue Jul 09 2013 dmorgan <dmorgan> 1.2.0-2.mga4
+ Revision: 451613
- Removed BR 'plexus-container-default' (#878579)
- R/BR cleanup
- Removed all 'jpackage-utils' dependencies

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 380367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.2.0-1.mga3
+ Revision: 292938
- New version

* Fri Oct 21 2011 gil <gil> 1.1-1.mga2
+ Revision: 157077
- imported package rmic-maven-plugin


* Sun Jul 10 2011 gil <gil> 1.1-0.%%mkrel
- initial rpm

